Bug 171471 - New port: finance/trytond_party_vcarddav
Summary: New port: finance/trytond_party_vcarddav
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-08 20:40 UTC by Matthias Petermann
Modified: 2012-09-19 15:40 UTC (History)
0 users

See Also:


Attachments
file.shar (5.28 KB, text/plain)
2012-09-08 20:40 UTC, Matthias Petermann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2012-09-08 20:40:01 UTC
This port adds the Party VCardDAV Module to the Tryton Application Platform.

Fix: Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2012-09-09 14:12:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 Boris Samorodov freebsd_committer 2012-09-19 14:52:00 UTC
Responsible Changed
From-To: wen->bsam

I'll help Wen to adopt the port.
Comment 3 Boris Samorodov freebsd_committer 2012-09-19 15:38:56 UTC
State Changed
From-To: open->closed

Committed, thanks.
Comment 4 dfilter service freebsd_committer 2012-09-19 15:39:06 UTC
Author: bsam
Date: Wed Sep 19 14:38:50 2012
New Revision: 304527
URL: http://svn.freebsd.org/changeset/ports/304527

Log:
  Add trytond_party_vcarddav 2.4.0, tryton Application Platform (Party
  VCardDAV Module).
  
  PR:		ports/171471
  Submitted by:	matthias@petermann.it

Added:
  head/finance/trytond_party_vcarddav/
  head/finance/trytond_party_vcarddav/Makefile   (contents, props changed)
  head/finance/trytond_party_vcarddav/distinfo   (contents, props changed)
  head/finance/trytond_party_vcarddav/pkg-descr   (contents, props changed)
  head/finance/trytond_party_vcarddav/pkg-plist   (contents, props changed)
Modified:
  head/finance/Makefile

Modified: head/finance/Makefile
==============================================================================
--- head/finance/Makefile	Wed Sep 19 14:37:45 2012	(r304526)
+++ head/finance/Makefile	Wed Sep 19 14:38:50 2012	(r304527)
@@ -130,6 +130,7 @@
     SUBDIR += trytond_ldap_connection
     SUBDIR += trytond_party
     SUBDIR += trytond_party_siret
+    SUBDIR += trytond_party_vcarddav
     SUBDIR += trytond_product
     SUBDIR += trytond_product_cost_fifo
     SUBDIR += trytond_product_cost_history

Added: head/finance/trytond_party_vcarddav/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_party_vcarddav/Makefile	Wed Sep 19 14:38:50 2012	(r304527)
@@ -0,0 +1,22 @@
+# Created by: Matthias Petermann<matthias@petermann.it>
+# $FreeBSD$
+
+PORTNAME=	trytond_party_vcarddav
+PORTVERSION=	2.4.0
+CATEGORIES=	finance python
+MASTER_SITES=	http://downloads2.tryton.org/${PORTVERSION:R}/
+
+MAINTAINER=	matthias@petermann.it
+COMMENT=	Tryton Application Platform (Party VCardDAV Module)
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
+		trytond_party>=2.4.0:${PORTSDIR}/finance/trytond_party \
+		${PYTHON_PKGNAMEPREFIX}vobject>=0.8.1:${PORTSDIR}/deskutils/py-vobject \
+		${PYTHON_PKGNAMEPREFIX}PyWebDAV>=0:${PORTSDIR}/www/py-pywebdav
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=easy_install
+
+.include <bsd.port.mk>

Added: head/finance/trytond_party_vcarddav/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_party_vcarddav/distinfo	Wed Sep 19 14:38:50 2012	(r304527)
@@ -0,0 +1,2 @@
+SHA256 (trytond_party_vcarddav-2.4.0.tar.gz) = 4785a9b77390093eb3ae7b85448e53a072cc8383c1bb1f7e79e72705f2b65151
+SIZE (trytond_party_vcarddav-2.4.0.tar.gz) = 23359

Added: head/finance/trytond_party_vcarddav/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_party_vcarddav/pkg-descr	Wed Sep 19 14:38:50 2012	(r304527)
@@ -0,0 +1,3 @@
+This port adds the Party VCardDAV Module to the Tryton Application Platform.
+
+WWW: http://www.tryton.org/

Added: head/finance/trytond_party_vcarddav/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_party_vcarddav/pkg-plist	Wed Sep 19 14:38:50 2012	(r304527)
@@ -0,0 +1,39 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/__tryton__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/__tryton__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/__tryton__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/carddav.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/carddav.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/carddav.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale/bg_BG.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale/ca_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale/cs_CZ.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale/de_DE.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale/es_AR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale/es_CO.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale/es_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale/fr_FR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale/nl_NL.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale/ru_RU.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/party.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/party.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/party.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/party.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/webdav.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/webdav.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/webdav.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav/locale
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_vcarddav
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"